# Canned Elements

The _Information Editor_ contains a series of boxes that curators can use to add metadata to all annotations. The _Information Editor_ for all annotation types includes a table for _Attributes_, a table for _Comments_, and radio buttons to mark one of any possible _Statuses_ for an annotation. It is possible to pre-load customized options that curators can access via drop-down menu. These pre-loaded, or 'canned' options can be configured from the _Admin_ tab in the _Annotator Panel_.

This document describes how to customize and add canned elements.

---
## 1. Statuses

Admins may configure a list of 'Statuses' to offer curators a list of radio buttons that mark the status of an annotation. 

Follow these steps to configure a list of possible _Statuses_ and make them available to curators using the _Admin_ tab in the _Annotator Panel_.

1. Navigate to the _Admin_ tab in the _Annotator Panel_
2. Select (click) the _Statuses_ option to navigate to a new tab. 
3. Use the _New Status_ button on the upper left corner to create a new Status. In the box 'Value' enter the new status as it will appear in the drop-down menu. 
4. Click on the _Create_ button at the bottom of the options to save the new value (i.e. status). Use the _AvailableStatus List_ button on the upper left of this page to return to the list of statuses without creating a new one.

From the list of existing statuses, you may select (click) any status to review, edit, or delete the status. 

---
## 2. Attributes Box
  
'Key' and 'Value' options can be customized to pre-load frequently used options and make them available to curators. The _Attributes_ box has two columns. The 'Tag' column is populated using the _Keys_ and the 'Values' column contains, the name indicates, _Values_. 

### a. Canned Keys

Follow these steps to configure a list of frequently used tags and make them available to curators using the _Admin_ tab in the _Annotator Panel_.

1. Navigate to the _Admin_ tab in the _Annotator Panel_
2. Select (click) the _Canned Key_ option to navigate to a new tab. 
3. Use the _New Canned Key_ button on the upper left corner to create a new Tag. 
  1. In the box 'Label' enter the new tag as it will appear in the drop-down menu. 
  2. Enter any additional details about this tag in the box labeled as 'Metadata'.
  3. Choose the types of annotations for which this tag should be available by selecting at least one of the 'Feature Types'. Hold down the 'Shift' key to select multiple types of annotations.
4. Click on the _Create_ button at the bottom of the options to save the new tag (i.e. key). Use the _CannedKey List_ button on the upper left of this page to return to the list of keys without creating a new one.

From the list of existing keys, you may select (click) any key to review, edit, or delete the key. 

### b. Canned Values

Configure a list of frequently used values and make them available to curators using the _Admin_ tab in the _Annotator Panel_.

1. Navigate to the _Admin_ tab in the _Annotator Panel_
2. Select (click) the _Canned Values_ option to navigate to a new tab. 
3. Use the _New Canned Value_ button on the upper left corner to create a new Tag. 
  1. In the box 'Label' enter the new value as it will appear in the drop-down menu. 
  2. Enter any additional details about this value in the box labeled as 'Metadata'.
  3. Choose the types of annotations for which this value should be available by selecting at least one of the 'Feature Types'. Hold down the 'Shift' key to select multiple types of annotations.
4. Click on the _Create_ button at the bottom of the options to save the new value. Use the _CannedValue List_ button on the upper left of this page to return to the list of values without creating a new one.

From the list of existing values, you may select (click) any value to review, edit, or delete the value. 

---
## 3. Comments Box

### Canned Comments

Admins may configure a list of frequently used comments and make them available for curators from the _Comments_ box in the _Information Editor_. Comments can be customized by each community according to their needs.

Follow these steps to create and configure a list of comments:

1. Navigate to the _Admin_ tab in the _Annotator Panel_
2. Select (click) the _Canned Comments_ option to navigate to a new tab. 
3. Use the _New Canned Comment_ button on the upper left corner to create a new comment. 
  1. In the box 'Comment' enter the new comment as it will appear in the drop-down menu. 
  2. Enter any additional details about this comment in the box labeled as 'Metadata'.
  3. Choose the types of annotations for which this comment should be available by selecting at least one of the 'Feature Types'. Hold down the 'Shift' key to select multiple types of annotations.
4. Click on the _Create_ button at the bottom of the options to save the new comment. Use the _CannedComment List_ button on the upper left of this page to return to the list of comments without creating a new one.

From the list of existing comments, you may select (click) any comment to review, edit, or delete the comment. 

